package com.agileboot.domain.collaboration.record.dto;

import com.agileboot.domain.collaboration.record.db.CollaborationRecordEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author codex
 */
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@Data
public class CollaborationRecordDetailDTO extends CollaborationRecordDTO {

    public CollaborationRecordDetailDTO(CollaborationRecordEntity entity) {
        super(entity);
    }

    private List<CollaborationTaskDTO> tasks = new ArrayList<>();

    private List<CollaborationExpenditureDTO> expenditures = new ArrayList<>();

    private List<CollaborationSettlementDTO> settlements = new ArrayList<>();

    private List<CollaborationFileDTO> files = new ArrayList<>();

}
